Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.tool.hbm2ddl
Class ForeignKeyMetadata

    java.lang.Object
      org.hibernate.tool.hbm2ddl.ForeignKeyMetadata

    public class ForeignKeyMetadata

extends Object

JDBC foreign key metadata

Method Summary
`String` | `getName()`
`String` | `getReferencedTableName()`
`boolean` | `matches(ForeignKey fk)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getName

    public String getName()

### getReferencedTableName

    public String getReferencedTableName()

### matches

    public boolean matches(ForeignKey fk)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.